Subject: bug#54774: 28.1; ansi-color with no colors in Emacs-28

From: Thierry Volpiatto <[email-masked]>
Date: Fri, 08 Apr 2022 17:48:52 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> it seems using ansi-color-apply in Emacs-28 is not working properly,
>> there is no colors.  In Emacs-29 it is working properly (very nice)
>> without needing a workaround used previously in emacs-27 (code commented).
>> See code below to reproduce and Screenshots attached.
>
> I'm not sure I understand this bug report.  Are you asking for the code
> in ansi-color in Emacs 29 to be backported to Emacs 28.2?

I am not asking for anything, it is up to you to decide what to be done.
I am just reporting that ansi-color on Emacs-28 is partially broken.

-- 
Thierry